using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.Requests.TestPaper
{
    public record TestPaperPagedRequest:PagedRequest,IQueryRequest
    {
        /// <summary>
        /// 试卷编码
        /// </summary>
        [Description("试卷编码")]
        public string Code { get; set; }

        /// <summary>
        /// 试卷名称
        /// </summary>
        [Description("试卷名称")]
        public string Name { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType? ExamType { get; set; }

        /// <summary>
        /// 考试模式
        /// </summary>
        [Description("考试模式")]
        public EExamMode? ExamMode { get; set; }

        /// <summary>
        /// 开启状态
        /// </summary>
        [Description("开启状态")]
        public EPublicStatus? Status { get; set; }
    }

    public record TestPaperRequest : IQueryRequest
    {
        /// <summary>
        /// 试卷编码
        /// </summary>
        [Description("试卷编码")]
        public string Code { get; set; }

        /// <summary>
        /// 试卷名称
        /// </summary>
        [Description("试卷名称")]
        public string Name { get; set; }

        /// <summary>
        /// 考试类型
        /// </summary>
        [Description("考试类型")]
        public EExamType? ExamType { get; set; }

        /// <summary>
        /// 考试模式
        /// </summary>
        [Description("考试模式")]
        public EExamMode? ExamMode { get; set; }
    }
}
